%global extname    gnomenu
%global extauth    panacier.gmail.com
%global extdir     %{_datadir}/gnome-shell/extensions/%{extname}@%{extauth}
%global gschemadir %{_datadir}/glib-2.0/schemas

Name:           gnome-shell-extension-%{extname}
Version:        29
Release:        1%{?dist}
Summary:        A traditional apps menu

License:        GPL-3.0-or-later
URL:            https://github.com/The-Panacea-Projects/Gnomenu
Source0:        https://github.com/The-Panacea-Projects/Gnomenu/archive/refs/tags/gno-menu.v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  findutils

%description
Gno-Menu is a traditional styled full featured Gnome-Shell apps
menu, that aims to offer all the essentials in a simple
uncluttered intuitive interface.

%prep
%autosetup -n Gnomenu-gno-menu.v%{version}


%build
for asset in $(find . -type f -name "*.js")
do
    sed -i '/_DEBUG_/d' ${asset}
done


%install
%__install -d %{buildroot}%{extdir}
for asset in $(find . -type f -name "*.js" -o -name "*.json")
do
    %__install -m 0644 ${asset} %{buildroot}%{extdir}
done

for asset in $(find . -type d -name "themes" -o -name "icons")
do
    %__cp -r ${asset} %{buildroot}%{extdir}
done

%__cp -r locale %{buildroot}%{_datadir}

%__install -d %{buildroot}%{gschemadir}
%__install -m 0644 schemas/*.xml %{buildroot}%{gschemadir}

%find_lang %{extname}


%files -f %{extname}.lang
%license COPYING
%doc README.md
%{extdir}
%{gschemadir}/*gschema.xml


%changelog
* Thu Mar 16 2023 Michael Rochefort <mroche@omenos.dev> - 29-1
- Build GnoMenu for EPEL 8
